%{!?python_abi:      %define python_abi      %(%{__python} -c "import sys; print sys.version[:3]")}
%{!?python_sitelib:  %define python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define modn   pynagioscheck
%define modv   0.1.6


Summary:       A Python framework for Nagios plugins
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       http://github.com/saj/%{modn}/archive/%{modn}-%{modv}.zip
URL:           http://github.com/saj/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Saj Goonatilleke <sg@redu.cx>
Provides:      python(%{modn}) = %{modv}
Provides:      python(nagioscheck) = %{modv}
BuildRequires: python-devel >= 2.4 python-setuptools
BuildArch:     noarch


%description
Pynagioscheck is a Python framework for Nagios plugins, which strives
to conform to the practices described in the Nagios Plugin Development
Guidelines.


%prep
%setup -q -n %{modn}-master


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENCE README examples
%{python_sitelib}/nagioscheck.py*
%{python_sitelib}/*.egg-info


%changelog
* Thu Jul 24 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.6-1
- Initial build
